Package com.orbbec.obsensor

## Class StreamProfileList

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.StreamProfileList

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class StreamProfileList
    extends LobClass

stream profile list

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` resources release
`StreamProfile` `getStreamProfile​(int index)` Get the configuration according to the specified index in the stream configuration list
`int` `getStreamProfileCount()` get stream profile count
`VideoStreamProfile` `getVideoStreamProfile​(int width, int height, Format format, int fps)` Match the corresponding StreamProfile through the passed parameters, if there are multiple matches, the first one in the list will be returned by default

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStreamProfileCount

    public int getStreamProfileCount()

get stream profile count

Returns:
  stream profile count

#### getStreamProfile

    public StreamProfile getStreamProfile​(int index)

Get the configuration according to the specified index in the stream configuration list

Parameters:
  `index` - index value
Returns:
  stream configuration

#### getVideoStreamProfile

    public VideoStreamProfile getVideoStreamProfile​(int width,
                                                    int height,
                                                    Format format,
                                                    int fps)

Match the corresponding StreamProfile through the passed parameters, if there are multiple matches, the first one in the list will be returned by default

Parameters:
  `width` - Width, if no matching width is required, pass 0
  `height` - Height, if no matching height is required, pass 0
  `format` - frame format, if no matching type is required, pass UNKNOWN
  `fps` - Frame rate, pass 0 if there is no need to match the frame rate
Returns:
  Returns the matching stream configuration

#### close

    public void close()

resources release